// Lecture 11 timing example

#include <stdio.h>
#include <sys/time.h>
#include <time.h>

// On dev C++ :
// #include <Windows.h>
// and use timeGetTime() which returns a double value

struct timeval start_time, end_time;  // variables to hold start and end time

int main()  {
   int tot_usecs;
   int i,j,sum=0;
   gettimeofday(&start_time, (struct timezone*)0); // starting timestamp

   /*   do some work */
   for (i=0; i<10000; i++)
      for (j=0; j<i; j++) sum += i*j;

   gettimeofday(&end_time, (struct timezone*)0);  // ending timestamp

   tot_usecs = (end_time.tv_sec-start_time.tv_sec) * 1000000 +
                 (end_time.tv_usec-start_time.tv_usec);
   printf("Total time: %d usec.\n", tot_usecs);
}
